//
//  tileView.m
//  sc
//
//  Created by kunii on 09/09/03.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import "tileView.h"


@implementation tileView
@synthesize logical_origin;
@synthesize logical_scale;

- (id)initWithFrame:(CGRect)frame {
    if (self = [super initWithFrame:frame]) {
       logical_origin.x = 0;
       logical_origin.y = 0;
	   logical_scale = 1.0;
    }
    return self;
}

/*
	自分の中の一番左上にある、全体の座標上での100ピクセルグリッド位置にクロスラインと座標を表示する。
*/
- (void)drawRect:(CGRect)rect {
	CGContextRef context = UIGraphicsGetCurrentContext();
	CGContextSetRGBFillColor(context, 0.0, 0.5, 0.0, 1.0);
	CGContextFillRect(context, self.bounds);
	UIFont *font = [UIFont systemFontOfSize:24]; 
	double x = (int)(logical_origin.x + 100 - 1) / 100 * 100;
	double y = (int)(logical_origin.y + 100 - 1) / 100 * 100;
	NSString* str = [NSString stringWithFormat:@"[%.0lf, %.0lf]", x, y];

	x = self.bounds.origin.x + (x - logical_origin.x) * logical_scale;
	y = self.bounds.origin.y + (y - logical_origin.y) * logical_scale;
	
	CGContextSetRGBStrokeColor(context, 1.0, 1.0, 1.0, 1.0);
	CGContextSetRGBFillColor(context, 1.0, 1.0, 1.0, 1.0);
	//	クロスライン描画
	CGContextMoveToPoint(context, x - 20, y);
	CGContextAddLineToPoint(context, x + 20, y);
	CGContextStrokePath(context);	
	CGContextMoveToPoint(context, x, y - 20);
	CGContextAddLineToPoint(context, x, y + 20);
	CGContextStrokePath(context);	
	//	座標描画
	[str drawAtPoint:CGPointMake(x + 10, y + 10) withFont:font]; 
}


- (void)dealloc {
    [super dealloc];
}


@end
