//
//  thumbView.h
//  list
//
//  Created by kunii on 09/08/26.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>

@protocol thumbViewDelegate;

@interface thumbView : UIView {
    CGRect home;			//	ドラッグ前の位置を記憶。    
    BOOL dragging;			//	ドラッグ中はYES
    CGPoint touchLocation;	//	最初タッチ位置、ドラッグ時はドラッグ開始位置を記録。
    id <thumbViewDelegate> delegate;
}

@property (nonatomic, assign) CGRect home;
@property (nonatomic, assign) CGPoint touchLocation;
@property (nonatomic, assign) id <thumbViewDelegate> delegate;

- (void)goHome;							// 現在のframe位置からhome位置にアニメーションで戻す。
- (void)moveByOffset:(CGPoint)offset;	// frameを指定したオフセット分ずらす。

@end

@protocol thumbViewDelegate <NSObject>

@optional
- (void)thumbViewStartedTracking:(thumbView *)tiv;
- (void)thumbViewMoved:(thumbView *)tiv;
- (void)thumbViewStoppedTracking:(thumbView *)tiv;

@end

